> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List snapshots

> List all volume snapshots in the specified project and region.
Results can be filtered by volume, instance, schedule, or lifecycle policy.



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v1/snapshots/{project_id}/{region_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/snapshots/{project_id}/{region_id}:
    get:
      tags:
        - Snapshots
      summary: List snapshots
      description: >-
        List all volume snapshots in the specified project and region.

        Results can be filtered by volume, instance, schedule, or lifecycle
        policy.
      operationId: SnapshotViewSet.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            type: integer
        - in: query
          name: instance_id
          required: false
          description: >-
            Can be used to list snapshots of any volume in a specific server
            instance
          schema:
            type: string
        - in: query
          name: lifecycle_policy_id
          required: false
          description: Can be used to list snapshots by lifecycle policy id
          schema:
            type: integer
        - in: query
          name: limit
          required: false
          description: Limit the number of returned snapshots
          schema:
            type: integer
        - in: query
          name: offset
          required: false
          description: >-
            Offset value is used to exclude the first set of records from the
            result
          schema:
            type: integer
        - in: query
          name: schedule_id
          required: false
          description: Can be used to list snapshots by schedule id
          schema:
            type: string
        - in: query
          name: volume_id
          required: false
          description: Can be used to list snapshots of a single volume
          schema:
            type: string
      responses:
        '200':
          description: List of snapshots with their details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SnapshotCollectionSerializer'
components:
  schemas:
    SnapshotCollectionSerializer:
      properties: {}
      title: SnapshotCollectionSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````